Package Details: kbd-tapper 0.7.4-1

Git Clone URL: https://aur.archlinux.org/kbd-tapper.git (read-only, click to copy)
Package Base: kbd-tapper
Description: A keyboard layout switcher for X Window System and Wayland
Upstream URL: http://kbd-tapper.sourceforge.net/en.html
Licenses: GPL3
Submitter: sirocco
Maintainer: sirocco
Last Packager: sirocco
Votes: 4
Popularity: 0.000310
First Submitted: 2017-12-12 04:17 (UTC)
Last Updated: 2023-03-07 00:46 (UTC)

Latest Comments

1 2 Next › Last »

sirocco commented on 2022-12-25 00:34 (UTC)

The requirements list is for the most general case, including generation of html. In addition, it does not take into account "Note: Packages in the AUR assume that the base-devel group is installed, i.e. they do not list the group's members as build dependencies explicitly".

https://wiki.archlinux.org/title/Arch_User_Repository#Prerequisites

vdb commented on 2022-12-23 23:05 (UTC) (edited on 2022-12-23 23:12 (UTC) by vdb)

It doesn't build without JSON.pm. Please make the package depend on perl-json

BTW, look at bin/setup-arch.sh script — it contains annotated list of requirements.

Ineu commented on 2022-12-19 10:08 (UTC)

It doesn't build without JSON.pm. Please make the package depend on perl-json

sirocco commented on 2020-03-10 01:19 (UTC) (edited on 2020-03-10 01:20 (UTC) by sirocco)

@jose1711

Fixed without the pkgrel bump.

Thanks for the corrections.

jose1711 commented on 2020-03-09 21:58 (UTC) (edited on 2020-03-09 21:58 (UTC) by jose1711)

@sirocco

thank you for the quick fix. if i may suggest. it's currently impossible to do a repetitious build (makepkg -e) since build() will complain about impossibility to create an already existing _build dir. could you please add something like:

  [ ! -d _build ] && mkdir _build
  cd _build

? thanks again, j

jose1711 commented on 2020-03-08 11:54 (UTC) (edited on 2020-03-08 11:54 (UTC) by jose1711)

@sirocco

the problem will appear if a system has rpm-tools installed. please fix by adding --disable-rpm to configure arguments (courtesy of kbd-tapper author). thanks!

jose1711 commented on 2020-02-27 09:03 (UTC)

Thank you for taking a look. I've found out that the real error is mentioned here:

$ config.status:1239: executing depfiles commands
config.status:1316: cd .       && sed -e '/# am--include-marker/d' Makefile         | make -f - am--depfiles
/tmp/GmruQ1ke:1510: *** mixed implicit and normal rules: deprecated syntax
/tmp/GmruQ1ke:1510: *** mixed implicit and normal rules: deprecated syntax
/tmp/GmruQ1ke:1510: *** mixed implicit and normal rules: deprecated syntax
/tmp/GmruQ1ke:1510: *** mixed implicit and normal rules: deprecated syntax
/tmp/GmruQ1ke:1510: *** mixed implicit and normal rules: deprecated syntax
/tmp/GmruQ1ke:1510: *** mixed implicit and normal rules: deprecated syntax
/tmp/GmruQ1ke:2179: *** mixed implicit and static pattern rules.  Stop.

I was finally able to build the package following these steps:

$ configure --disable-dependency-tracking
$ make
Makefile:1528: *** mixed implicit and normal rules: deprecated syntax
Makefile:1528: *** mixed implicit and normal rules: deprecated syntax
Makefile:1528: *** mixed implicit and normal rules: deprecated syntax
Makefile:1528: *** mixed implicit and normal rules: deprecated syntax
Makefile:1528: *** mixed implicit and normal rules: deprecated syntax
Makefile:1528: *** mixed implicit and normal rules: deprecated syntax
Makefile:2197: *** mixed implicit and static pattern rules.  Stop.

comment lines 1528, 2197--2202

$ make

Modified build function:

build() {
  cd ${_pkgname}-${_pkgver}
  [ ! -d _build ] && mkdir _build
  cd _build
  ../configure --prefix=/usr --disable-dependency-tracking
  sed -i -e '1528s/^/#/' -e '2197,2202s/^/#/' Makefile
  make
}

At the end kbd-tapper fails due to some parse error but at least I get a running binary.

sirocco commented on 2020-02-27 04:36 (UTC)

I can not reproduce the error on several my computers.